<app-loading *ngIf="loading"></app-loading>
<div class="content-header">
  <mb-button mbButtonType="NO_BORDER" mbButtonSize="LARGE" [mbIsDisable]="loading" *ngIf="objFunction?.create"
    mbButtonText="{{'common.button.add' | translate}}" mbButtonAvailableStyle="PRIMARY" (click)="showModal()">
  </mb-button>
</div>

<div class="search">
  <div nz-row>
    <div nz-col nzXs="24" nzMd="8" nzLg="6" nzXXl="6">
      <mb-input-text nz-input [(ngModel)]="positionGroupSearch.name"
        mbLabelText="{{'modelOrganization.label.positionGroupName' | translate}}"
        mbPlaceholderText="{{'modelOrganization.positionGroup.placeHoder.typePositionGroupName' | translate}}">
      </mb-input-text>
    </div>
    <div nz-col nzXs="24" nzMd="8" nzLg="6" nzXXl="6" class="margin-left">
      <mb-select [mbDataSelects]="listTypePosition" mbKeyLabel="meaning" mbKeyValue="meaning"
        [(ngModel)]="positionGroupSearch.type"
        mbLabelText="{{'modelOrganization.positionGroup.typePositionGroup' | translate}}"
        mbPlaceholder="{{'modelOrganization.positionGroup.placeHoder.typePositionGroup' | translate}}"></mb-select>
    </div>
    <div nz-col nzXs="24" nzMd="8" nzLg="6" nzXXl="6" class="margin-left">
      <mb-select [mbDataSelects]="listStatus" mbKeyLabel="name" mbKeyValue="value"
        [(ngModel)]="positionGroupSearch.status" mbLabelText="{{'modelOrganization.positionGroup.status' | translate}}"
        mbPlaceholder="{{'modelOrganization.positionGroup.placeHoder.typeStatus' | translate}}"></mb-select>
    </div>
    <div class="search__button">
      <mb-button mbButtonSize='MEDIUM' mbButtonAvailableStyle='CUSTOM' (click)="search()"
        mbButtonText="{{'modelOrganization.listJob.search' | translate}}"></mb-button>
    </div>
  </div>
</div>

<div class=" table-container ant-table-content">
  <nz-table [nzData]="dataTable" [nzFrontPagination]="false" #rowSelectionTable [nzShowPagination]="false"
    nzTableLayout="fixed" [nzScroll]="dataTable?.length > 0 ? {y: '520px' } : {}">
    <thead>
      <tr>
        <th scope="col" class="text-center" nzWidth="4%" nzLeft>{{'modelOrganization.table.stt' | translate}}</th>
        <th scope="col" nzWidth="18%">{{'modelOrganization.positionGroup.positionGroupParent' | translate}}</th>
        <th scope="col" nzWidth="16%">{{'modelOrganization.table.positionGroupName' | translate}}</th>
        <th scope="col" nzWidth="16%">{{'modelOrganization.positionGroup.typePositionGroup' | translate}}
        </th>
        <th scope="col" nzWidth="8%" class="text-center">{{'modelOrganization.positionGroup.status' | translate}}
        </th>
        <th scope="col" nzWidth="6%" nzRight></th>
      </tr>
    </thead>
    <tbody>
      <tr *ngFor="let data of dataTable, let i = index, trackBy:trackByFn" (dblclick)='showModal(data.id)'>
        <td nzLeft class="text-center">{{getIndex(i)}}</td>
        <td class="text-ellipsis" nz-tooltip [nzTooltipTitle]="data.parentName">{{data.parentName}}</td>
        <td class="text-ellipsis" nz-tooltip [nzTooltipTitle]="data.name">{{data.name}}</td>
        <td>{{data.type}}</td>
        <td>
          <div class="center-status">
            <nz-tag [class]="renderFlagStatus(data.flagStatus).class">
              {{renderFlagStatus(data.flagStatus).text}}
            </nz-tag>
          </div>
        </td>
        <td nzRight>
          <div class="action">
            <mb-button mbButtonAvailableStyle='CONTENT' nz-tooltip [nzTooltipColor]="'#141ED2'" placement="bottom"
              (click)="assignPosition(data.id, data.type)"
              nzTooltipTitle="{{'modelOrganization.toolTip.assignPosition' | translate}}">
              <img src="../../../../../assets/images/icon/assign-position.svg" alt='delete'>
            </mb-button>
            <mb-button mbButtonAvailableStyle='CONTENT' (click)="deletePositionGroup(data.id)" *ngIf="objFunction?.delete">
              <img src="../../../../../assets/images/icon/delete-icon.svg" alt='delete'>
            </mb-button>
          </div>
        </td>
      </tr>
    </tbody>
  </nz-table>
  <div class="pagination" *ngIf="pagination.totalElements > 0">
    <div class="pagination__table-info">
      <img alt="" class="pagination__table-info--icon" src="assets/images/icon/idea.svg">
      <span class="pagination__table-info--text">{{'modelOrganization.paging.find' | translate}}
        {{pagination.result}} {{'modelOrganization.paging.result' | translate}} {{pagination.min}}
        {{'modelOrganization.paging.to' | translate}} {{pagination.max}}
      </span>
    </div>
    <nz-pagination [(nzPageIndex)]="pagination.currentPage" [nzTotal]="pagination.totalElements"
      [nzPageSize]="pagination.size" (nzPageIndexChange)="changePage()" class="pagination__icon">
    </nz-pagination>
  </div>
